package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.box.TabEntity
import com.zxhl.cms.net.model.qy.CouponsEntity
import com.zxhl.cms.net.model.qy.HomeBannerEntity
import com.zxhl.cms.net.model.video.HomeAdEntity

/**
 * 主页
 *
 */
class HomeContract {
    interface View {
        fun setBannerList(result: List<HomeBannerEntity>?)
        fun setTabList(list: List<TabEntity>?)
        fun setCouponsList(result: List<CouponsEntity>?)
        fun setAdBanner(result: List<HomeAdEntity>?)
    }

    interface Presenter {
        fun getBannerList()
        fun getTabList()
        fun getFetchCard()
        fun getAdInfo()
    }
}